<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:16 PST 2005 -->
<TITLE>
: Uses of Package org.eclipse.wst.rdb.internal.models.sql.constraints
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-use.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<CENTER>
<H2>
<B>Uses of Package<br>org.eclipse.wst.rdb.internal.models.sql.constraints</B></H2>
</CENTER>

<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.constraints</A></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>org.eclipse.wst.rdb.internal.models.sql.constraints</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>org.eclipse.wst.rdb.internal.models.sql.constraints.impl</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.constraints.util"><B>org.eclipse.wst.rdb.internal.models.sql.constraints.util</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.tables"><B>org.eclipse.wst.rdb.internal.models.sql.tables</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#org.eclipse.wst.rdb.internal.models.sql.tables.impl"><B>org.eclipse.wst.rdb.internal.models.sql.tables.impl</B></A></TD>
<TD>&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.constraints"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Classes in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.constraints</A> used by <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.constraints</A><TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/Assertion.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>Assertion</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Assertion</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/CheckConstraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>CheckConstraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Check Constraint</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/Constraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>Constraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Constraint</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/ForeignKey.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>ForeignKey</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Foreign Key</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/IncrementType.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>IncrementType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Increment Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/Index.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>Index</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Index</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/IndexMember.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>IndexMember</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Index Member</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/MatchType.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>MatchType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Match Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/PrimaryKey.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>PrimaryKey</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Primary Key</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/ReferenceConstraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>ReferenceConstraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Reference Constraint</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/SQLConstraintsFactory.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>SQLConstraintsFactory</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 The <b>Factory</b> for the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/SQLConstraintsPackage.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>SQLConstraintsPackage</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 The <b>Package</b> for the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/TableConstraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>TableConstraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Table Constraint</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/UniqueConstraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints"><B>UniqueConstraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Unique Constraint</b></em>'.</TD>
</TR>
</FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Classes in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.constraints</A> used by <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.constraints.impl</A><TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/Assertion.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>Assertion</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Assertion</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/CheckConstraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>CheckConstraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Check Constraint</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/Constraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>Constraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Constraint</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/ForeignKey.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>ForeignKey</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Foreign Key</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/IncrementType.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>IncrementType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Increment Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/Index.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>Index</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Index</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/IndexMember.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>IndexMember</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Index Member</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/MatchType.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>MatchType</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the literals of the enumeration '<em><b>Match Type</b></em>',
 and utility methods for working with them.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/PrimaryKey.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>PrimaryKey</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Primary Key</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/ReferenceConstraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>ReferenceConstraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Reference Constraint</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/SQLConstraintsFactory.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>SQLConstraintsFactory</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 The <b>Factory</b> for the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/SQLConstraintsPackage.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>SQLConstraintsPackage</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 The <b>Package</b> for the model.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/TableConstraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>TableConstraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Table Constraint</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/UniqueConstraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints.impl"><B>UniqueConstraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Unique Constraint</b></em>'.</TD>
</TR>
</FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.constraints.util"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Classes in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.constraints</A> used by <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/util/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.constraints.util</A><TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/Assertion.html#org.eclipse.wst.rdb.internal.models.sql.constraints.util"><B>Assertion</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Assertion</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/CheckConstraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints.util"><B>CheckConstraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Check Constraint</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/Constraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints.util"><B>Constraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Constraint</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/ForeignKey.html#org.eclipse.wst.rdb.internal.models.sql.constraints.util"><B>ForeignKey</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Foreign Key</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/Index.html#org.eclipse.wst.rdb.internal.models.sql.constraints.util"><B>Index</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Index</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/IndexMember.html#org.eclipse.wst.rdb.internal.models.sql.constraints.util"><B>IndexMember</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Index Member</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/PrimaryKey.html#org.eclipse.wst.rdb.internal.models.sql.constraints.util"><B>PrimaryKey</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Primary Key</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/ReferenceConstraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints.util"><B>ReferenceConstraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Reference Constraint</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/TableConstraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints.util"><B>TableConstraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Table Constraint</b></em>'.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/UniqueConstraint.html#org.eclipse.wst.rdb.internal.models.sql.constraints.util"><B>UniqueConstraint</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Unique Constraint</b></em>'.</TD>
</TR>
</FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.tables"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Classes in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.constraints</A> used by <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.tables</A><TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/PrimaryKey.html#org.eclipse.wst.rdb.internal.models.sql.tables"><B>PrimaryKey</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Primary Key</b></em>'.</TD>
</TR>
</FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="org.eclipse.wst.rdb.internal.models.sql.tables.impl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
Classes in <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.constraints</A> used by <A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/tables/impl/package-summary.html">org.eclipse.wst.rdb.internal.models.sql.tables.impl</A><TR BGCOLOR="white" CLASS="TableRowColor">
<TD><B><A HREF="../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/class-use/PrimaryKey.html#org.eclipse.wst.rdb.internal.models.sql.tables.impl"><B>PrimaryKey</B></A></B>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 A representation of the model object '<em><b>Primary Key</b></em>'.</TD>
</TR>
</FONT></TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-use.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
